Disclaimer and Legal Information

INFORMATION IN THIS DOCUMENT IS PROVIDED IN CONNECTION WITH INTEL(R) PRODUCTS. NO LICENSE, EXPRESS OR IMPLIED, BY ESTOPPEL OR OTHERWISE, TO ANY INTELLECTUAL PROPERTY RIGHTS IS GRANTED BY THIS DOCUMENT. EXCEPT AS PROVIDED IN INTEL'S TERMS AND CONDITIONS OF SALE FOR SUCH PRODUCTS, INTEL ASSUMES NO LIABILITY WHATSOEVER, AND INTEL DISCLAIMS ANY EXPRESS OR IMPLIED WARRANTY, RELATING TO SALE AND/OR USE OF INTEL PRODUCTS INCLUDING LIABILITY OR WARRANTIES RELATING TO FITNESS FOR A PARTICULAR PURPOSE, MERCHANTABILITY, OR INFRINGEMENT OF ANY PATENT, COPYRIGHT OR OTHER INTELLECTUAL PROPERTY RIGHT. Intel products are not intended for use in medical, life saving, life sustaining, critical control or safety systems, or in nuclear facility applications.

Intel may make changes to specifications and product descriptions at any time, without notice.

The software described in this document may contain software defects which may cause the product to deviate from published specifications. Current characterized software defects are available on request.

This document as well as the software described in it is furnished under license and may only be used or copied in accordance with the terms of the license. The information in this manual is furnished for informational use only, is subject to change without notice, and should not be construed as a commitment by Intel Corporation. Intel Corporation assumes no responsibility or liability for any errors or inaccuracies that may appear in this document or any software that may be provided in association with this document.

Except as permitted by such license, no part of this document may be reproduced, stored in a retrieval system, or transmitted in any form or by any means without the express written consent of Intel Corporation.

Intel, Intel Inside, Intel Inside logo, Intel. Leap ahead., Intel. Leap ahead. logo, Pentium, Celeron, Core 2 Duo are trademarks or registered trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.

Copyright (C) 2006-2007, Intel Corporation.


Welcome

Welcome to Content and Service Management

Welcome to the Content and Service Management Administrator online help!

To view a topic, open the Content in the left frame. Double click a book icon to open a project, or click Index, Search or Glossary to find the specific information.


Content and Service Management Overview

About Content and Service Management

Content and Service Management is a customized value added solution for network environments. Its functions include content management, on-demand downloading, application deployment, and product news/advertisements. The user can use Content and Service Management to ask for help or buy products by instantly speaking with an administrator from their PC. Also, Content and Service Management provides real-time protection by continually scanning for malicious file name execution.**

** Some functions will be available in later versions.


Hardware Requirements

Hardware | Recommended Server Specifications | Minimum Server Specifications | Recommended Client Specifications
Mother Board | Any Server Board | Any Server Board | Any Desktop Board
CPU | Intel(R) Pentium(R) 4 Processor, 2.8GHz | Intel(R) Pentium(R) 4 Processor, 2.4GHz | Intel(R) Processor
Memory | 1GB | 512MB | 512MB
Hard Disk | 2 x Client Hard Disk Size | 1.5 x Client Hard Disk Size | 80GB IDE
CD-ROM | CD-ROM 16x | CD-ROM 16x | -
NIC | 1000Mbps | 1000Mbps | 100Mbps

** Please refer to support.intel.com to check the CPU model that is supported by mother board.


Server Requirements

Supported Operating System

Only the following 32-bit operating systems are supported:

  • Microsoft Windows 2000 Server * (SP4)

  • Microsoft Windows 2000 Advanced Server * (SP4)

  • Microsoft Windows Server 2003 Standard Edition *

  • Microsoft Windows Server 2003 Enterprise Edition *

  • Microsoft Windows XP Professional * (SP1/SP2)

note

Ensure that the latest Service Pack is installed


Client Requirements

Supported Operating System

Only the following 32-bit operating systems are supported:

  • Windows 2000 Professional Edition* (SP4)

  • Windows XP Professional Edition* (SP1/SP2)

note

Ensure that the latest Service Pack is installed.

Third Party Software

  • Microsoft DirectX*, Version 9.0

TIP

You can find all the third-party software on product CD. They will be installed automatically during the Content and Service Management Client installation process.


Network Requirements

Content and Service Management and its supported hardware can work properly in any Ethernet environment.

Make sure all the PCs are connected to the switch/router through UTP-5 cable. The figure below is for reference, and may be adjusted to meet specific user requirements.

caution

A maximum of 300 client PCs can be supported by one server

Use UTP-5 cables

Ensure that you are using the latest NIC driver version


Glossary

Glossary | Description
Content | Executable files like games and applications.
Content Management | To mange server and client game through client PC, including adding, uploading, deleting and updating.
Most Popular | The popularity of games. Popularity depends on the frequency of game running.
Recommended | Games recommended by the administrator.
Server Side Storage Folders | The directory on server which is used to store content uploaded from the client PC.
Data volumes for downloaded games | The specified disk volumes for downloaded content on the client. Multiple volumes are supported.
Content Location | The root directory of installed game on client PC. Only one root directory is supported.
Saving Path | The path for saving user information on server. Multiple paths are supported.
Client Auto Disk Reclaim | To limit the amount of client hard disk spaced used to store content downloaded from the server, the Client Auto Disk Reclaim function will delete the least popular games on client PC until the amount of used disk space is below a threshold specified by the administrator.


Install Server

Before installing Content and Service Management Server, please make sure the server has met the Server Software Requirements.

Install Server:

  1. Insert the installation CD to your server CD-ROM, and use one of the following methods to start the installation process:

    • Wait for the system to automatically run autorun.exe

    • Click autorun.exe in the root directory of installation CD

  2. Select language

  3. Choose Install Server

  4. Follow the instructions on following screens:

    • Welcome

    • License Agreement

    • Destination Folder

  5. Content and Service Management Server configuration:

    • Administrator password

Enter Content and Service Management administrator password. The password is used for the administrator to log onto the client and for the operator to log onto the Service Console. The password length should be 6 to15 characters. Only numbers, symbols and English letters are allowed. Password is case sensitive.

    • Server Side Storage Folder

Specify the folder to store games to. You can specify multiple folders, but only one folder is allowed on each partition. Server Side Storage Folders are used for saving uploaded content from client PCs. You can click the "+" button to add another folder, and click the "-" button to remove folders.

  6. System is ready for installation, click Install to confirm.

  7. Click Finish to complete the installation.

After installing Content and Service Management Server, the Content and Service Management Server service will be started automatically, this service is used to communicate with client PCs.

Content and Service Management Server also provides a Server Utility to help administrators manage server data and account passwords.

note

If Content and Service Management Server is not running properly, please check Start > Control Panel > Administrative Tool > Service > Intel(R) PAT Content and Service Management Server, and make sure it has been started.


Uninstall Server

To Uninstall Server:

  1. Go to Start > Settings > Control Panel > Add or Remove Programs > Intel(R) PAT Service and Content Management Server

  2. Click Remove

  3. System will pop up a confirmation message. Click Yes to continue.

System will start the uninstall process. The uninstall window will disappear automatically after the process is finished.

caution

All Content and Service Management data will be deleted.


Install Client

Before installing Content and Service Management Client, please make sure the client has met Client Software Requirements.

Install Client:

  1. Insert the installation CD to your server CD-ROM, and use one of the following methods to start the installation process:

    • Wait system to automatically run autorun.exe

    • Click autorun.exe in the root directory of installation CD

  2. Select language.

  3. Choose Install Client.

  4. Follow the instructions on following screens:

    • Welcome

    • License Agreement

    • Destination Folder

  5. Client hard disk partition and server configuration.

    • Partitions to be managed by CSM

Choose client hard disk partition to be managed by CSM, e.g. saving downloaded games. Please make sure the partition(s) selected is not protected by other hard disk protection tools. Multiple partitions may be chosen.

note

Only NTFS format partition is supported.

    • Content and Service Management Server IP address

Enter the IP address of the Content and Service Management Server.

caution

Please enter correct server IP address. Otherwise, client PC will be unable to communicate with the server after installation.

  6. System is ready for installation, click Install to confirm.

  7. After installation, click Finish.

If Automatically Start Content and Service Management Client on Windows logon is ticked, Content and Service Management client will run automatically each time the client starts up, see Launch Client.

note

If the client PC cannot boot normally after installation please open Start > Control Panel > Administrative Tool > Service > Intel(R) PAT Content and Service Management Client and make sure that it has been started.


Uninstall Client

Uninstall Client:

  1. Go to Start > Settings > Control Panel /Add or Remove Programs > Intel(R) PAT Service and Content Management Client

  2. Click Remove

  3. System will request confirmation. Click Yes to continue.

  4. System will start the uninstall process, and the uninstall window will disappear after the process is completed.


Launch Client

After client is installed and "Automatically Start Content and Service Management Client on Windows logon" is selected, Content and Service Management client will run automatically each time the client starts up.

You also can also launch client in the following method:

  • Double click the client desktop icon


Log on Client

Log on to Client

After the Content and Service Management Client is started, system will log on as anonymous account and enter User console page by default.

Administrator Login:

  1. Click Admin Console button

  2. Enter administrator password, and click Login

When an administrator logs on, the Admin Console page will be displayed by default.

TIP

We suggest you change the password by opening Options > Security > Administrators Password after logging on for the first time.

The password length should be 6 to15 characters. Only numbers, symbols and English letters are allowed. Password is case sensitive.


About Client

The UI of Content and Service Management Client is different if you log on with different user modes.

For how to use Content and Service Management Client when logged on as user, see Content and Service Management User Online Help.

After logging on as administrator, you can click the tabs below to switch to different functionalities:

Icon

Function

Manage server content

  • Create Content

  • Upload Content

  • Update Content

  • Upload Updates

  • Remove Content

  • Delete Content

  • Run Content

  • Download Content

  • Content Categories

  • Content Properties

Configure options

  • General Options

  • Security Options

  • Theme Options

  • Advanced Options

Switch to normal user

  • Log Off

Open online help document

  • Help

Display system information

  • About


About Server Utility

After you have completed the server installation process, you can open the Server Utility in any of the following ways:

  • Double click the Server Utility desktop icon

  • Click Start > All Programs > Intel(R) PAT Content and Service Management Server> Utility Tool

The Server Utility enables you to:

  • Backup Server Data

  • Restore Server Data

  • Reset Passwords

  • Add New Server Side Storage Folders


Backup Server Data

You can backup your server data though the Server Utility.

Server Data includes the server database and the server configuration files. When the server data is missing or corrupted, or you need to install a new server, you can restore your server using the backup data.

To backup server data:

  1. Click Start > All Programs > Intel(R) PAT Content and Service Management Server > Server Utility to open the Server Utility tool.

  2. Select the Back Up Server Data checkbox, and click Next.

  3. Click the [image] button to select a folder to which to save the server data, and click Next.

  4. The system will display Backup Server Data Succeeded after the backup is finished. Click Finish to exit.

Caution

You will need to restart all the clients to enable them to re-connect to the server.


Restore Server Data

You can restore previously backed up server data using the Server Utility tool.

To restore server data:

  1. Click Start > All Programs > Intel(R) PAT Content and Service Management Server > Server Utility to open the Server Utility tool.

  2. Select Restore Server Data checkbox, and click Next.

  3. Click the [image] button to find the folder containing the server data backup file, and click Next.

  4. The system will display Restore Server Data Succeeded after the restore is finished. Click Finish to exit.

Caution

You will need to restart all the clients to enable them to re-connect to the server.

In some cases, the current server data has been changed compare with the server backup data:

  • If the current Data Path has been changed since you created the backup you will restore, you need to reinstall Content and Service Management Server, and configure the Data Path to be the same as in the backup data.


Reset Passwords

You can reset administrator password and operator password through the Server Utility tool.

To reset passwords:

  1. Click Start > All Programs > Intel(R) PAT Content and Service Management Server > Server Utility to open the Server Utility tool.

  2. Select the Reset Passwords checkbox, and click Next.

  3. Choose administrator account or operator account.

  4. Enter a new password in Password column.

  5. Enter the new password again in the Confirm column, click Next.

caution

If you have selected to restart Intel(R) PAT Content and Management Server services through the Utility Tool, you will need to restart all the clients in order to re-connect to the server. Otherwise, the new password will only take effect after the Intel(R) PAT Content and Service Management Server service is restarted.


Add New Server Side Storage Folders

If you need to add more Server Side Storage Folders, in addition to the one(s) specified while Installing the Server, you can do so through the Utility Tool.

To add new server storage folders:

  1. Click Start > All Programs > Intel(R) PAT Content and Service Management Server > Server Utility to open the Server Utility Tool.

  2. Select the Add New Server Side Storage Folders checkbox, and click Next.

  3. Click Add, select your desired server storage path, and click Next.

  4. Read the pop-up warning message, confirm and click Yes.

  5. After the folder has been added, the system will display Add Server Side Storage Folders Succeeded. Click Finish to exit.

tip

Only one server side storage folder is allowed on each partition.

Once a folder is added, it cannot be modified or removed.


About Admin Console

Administrator log on any client PC to manage the content.

When an administrator logs on, CSM will display the Admin Console page by default:

The Admin Console lists all uploaded, to be uploaded, to be updated files, which can be manipulated using the buttons at the top of the page:

Icon | Function | Description
 | Create Content | Add content package information for uploading content.
 | Delete Content | Delete content from hard disk of the server, or delete the newly created content package from the Upload to Server page.
 | Remove Content | Remove content from the Update to Server page, but keep the content on the server.
 | Upload Content | Upload newly-created content that has never been uploaded to the server before.
 | Upload Updates | Upload updated content of which the old version has been uploaded to server.
 | Update Content | Update the properties of content which has been uploaded to server, including general options, file list, EXE files setting, and registry info.


Create Content

When there is ready content on a client PC, you can create a content package and then upload it to the server for other clients to download.

You can create multiple contents, and then upload them to server together.

To Create Content by Command:

  1. Enter the Admin Console

  2. Do one of following:

    • Click [image] Create Content

    • Right click your mouse, choose Create from the pop-up menu

  3. In the pop-up Content Properties window, define properties for the content.

  4. Click OK.

To Create Content Shortcut by Mouse Dragging:

You can drag and drop Windows file to All Contents or any category created by administrator under Category Management.

When the content category window is active, you also can drag and drop Windows file directly to the window.

  • If the content is located on Content and Service Management managed partition

Content must be executable file, i.e. files with suffix .cmd, .bat, .pif, .scf, .exe, .com, .scr.

System will pop up Content Properties window and fill in some information automatically, including:

    • Location:

By default, the parent folder of content will be filled in. In some special cases, the parent folder of the content folder will be filled in.

    • Target:

By default, the name of the content root directory will be filled in.

By default, the content name is also the name of content root directory.

  • If the content is not located at Content and Service Management managed partition

“CSM Managed Partition” means the hard disk partition where CSM content is stored.

For example, if a shortcut is located on a partition not managed by CSM, but the target file of the shortcut is located on a partition managed by CSM, then the content is considered to be “located on a CSM managed partition.”

Content can be any file format.

System will automatically create a shortcut in Admin console.

The shortcut will be uploaded to server automatically, and be deployed to all clients immediately.

Content and Service Management support all shortcut that is supported by Windows.

Below are examples of different ways that content can be created through drag-and-drop into the CSM Admin Console:

  • Drag-and-drop the shortcut of an application:

This will create a shortcut that can be clicked from the User Console to run the application.

Note: The location of the application on the other client machines must be the same as the location of the application on the client machine where the shortcut was created.

  • Drag-and-drop the shortcut of a URL:

This will create a shortcut that can be clicked from the User Console to access an internet page.

Note: The client machine must have internet access in order for the link to function.

  • Drag-and-drop the shortcut of a media file located on server:

This will create a shortcut that can be clicked from the User Console to access the media file.

Note: The client machine must have access rights to the server.

Caution

Please make sure the shortcut target file exists on all clients.

If the content directory that the shortcut links to has been changed on a client, e.g. the content has been moved or deleted, the shortcut can not run normally.

You need to synchronize your target file on all clients manually, Content and Service Management does not provide target file synchronization function.

Naming Shortcuts

The name of created shortcut will be exactly the same as the original shortcut name on the client machine where the shortcut was created.

To change the shortcut name, you can do one of the following:

  • Change the shortcut name before dragging it into the Admin Console

  • After the shortcut has been created, right-click the shortcut in the Admin Console and click Content Properties. Left-click the name of the shortcut in the Target List, and then enter a new name.

  • Use the Rename function from the Admin Console.


Upload Content

The created but not uploaded content will be listed in the Upload to Server page of the Admin Console. You can click the [image] button or right click your mouse, and use one of the following to view the content:

  • Icon

Display content as icons

  • List

Display content in a list

  • Detail

Display content as a list with name, description and size of content details

To Upload Content:

  1. Go to Admin Console

  2. Click Upload to Server

  3. Choose content. You can press the Ctrl or Shift button to choose multiple content simultaneously. Do one of the following:

    • Click [image] Upload Content

    • Right click your mouse, and choose Upload from the pop-up menu

  4. System will show the upload progress bar: . Click [image] to open the process management window. In this window, you can:

    • Click [image] to cancel upload

    • Click [image] to close window

Once finished, it will show the progress as 100%. Click [image] to confirm this task.

After uploading, content icon will disappear from the Upload to Server page.


Update Content

You can update content properties by using Update Content. This includes:

  • The content you have downloaded from the server

  • The content you have created on the local client but not yet uploaded to the server

To Update Content:

Scenario 1. If the targets file have not been changed:

  1. Go to the Admin Console.

  2. Choose one of the following ways to enter Update Content wizard:

    • Click the [image] Update Content button

    • Right-click your mouse and choose Update from the pop-up menu

  3. In the pop-up Content Properties window, update properties for the content.

  4. Click OK.

The update will take effect immediately:

  • If other client has not run this content after started, all the clients will be updated automatically.

  • If other client has run this content after started, update will take effect after next restart. Otherwise you need to update manually:

    • If log on as administrator, you can execute Update command.

    • If log on as user, you can execute Sync & Run command

Scenario 2. If the target files has been changed:

  1. Go to the Admin Console.

  2. Choose one of the following ways to enter Update Content wizard:

    • Click the [image] Update Content button

    • Right-click your mouse and choose Update from the pop-up menu

  3. In the pop-up Content Properties window, system will automatically list the file numbers that has been added, modified or deleted at Package Size column.

  4. Update other properties for the content.

  5. Click OK.

  6. System will pop up File Change List window:

    • Click Accept to confirm the change.

    • Click Deny to reject the change

    • Click Skip to temporarily skip the change

Updating Content only means the content properties are updated, and the content is ready to be uploaded. You must Upload Updates to finish updating content on the server.

To Update Content Name:

If you only need to update content name, you can do the following:

  1. Go to the Admin Console.

  2. Select a content, and do one of the following:

    • Press F2

    • Right click mouse and select Rename from pop-up menu

    • Click on the name of the content

  3. Enter the new name

After the content is renamed, you do not need to do Upload Updates. The server will automatically update the content name on all clients.


Upload Updates

You can modify the properties of uploaded content in the following ways:

  • Modify the Content Properties of uploaded content

  • Modify the content properties by Update Content

For example, you can rename the existing content, modify the file list, or edit the registry. The system will compare the content on the server automatically and only update the changed parts to server, which means you do not need to re-upload all of the content.

If the content is updated but not uploaded, it will be displayed in the Update to Server page of the Admin Console. You can click [image] or right click your mouse to choose any of the following to view the content:

  • Icon

Display content as icons

  • List

Display content in a list

  • Detail

Display content as a list with name, description and size details

To Upload Updates:

  1. Go to Admin Console

  2. Click Update to Server

  3. You can press Ctrl or Shift button to choose multiple contents simultaneously. Do one of the following:

    • Click [image] Upload Updates

    • Right click the mouse and choose Upload Updates on the pop-up menu

  4. System will show the upload progress bar: . Click [image] to open the process management window. In this window, you can:

    • Click [image] to cancel upload

    • Click [image] to close window

Once finished, it will show the progress as 100%. Click [image] to exit the process management window.

After the upload is complete, the content icon will disappear from the Update to Server page.


Remove Content

Remove Content is different with Delete Content. Remove Content only removes the chosen content from the list, but does not delete the content file from the hard disk of the client PC or server.

You can remove content in following pages:

  • Upload Updates

If you select Remove Content in the Upload Updates page, it will remove the content package information that you have updated during Update Content, but the content file will still exist on the server or client.

Note

The effect of this action is the same as right-clicking a game icon in the Update to Server page and clicking Cancel Update.

  • Recommend/Administrator-defined category

You also can Remove Content in the Recommended category or any administrator-defined category. After being removed, the content will not belong to that category, but the content file will still exist on the server or client.

To Remove Content:

  1. Go to Admin Console page

  2. Choose content, and do one of following:

    • Click [image] Remove Content.

  • Right click your mouse and choose Remove from the pop-up menu

  3. Click Yes to confirm.

If you need to completely delete the content, you need to delete content.


Delete Content

You can delete content in following pages:

  • All Content

If you select Delete Content in the All Content page, it will delete the content file from hard disk of the server. The deleted content file cannot be restored.

  • Upload to Server

If you select Delete Content in the Upload to Server page, it will delete the content package information that you have created during creating content, but the content file will still exist on the local client PC.

To Delete Content:

  1. Go to the Admin Console page

  2. Choose content and do as one of following:

    • Click [image] Delete Content

  • Right click your mouse, and choose Delete from the pop-up menu

  3. Click Yes to confirm

TIP

  • If content on the server is deleted from the current client PC, the system will delete the same content on current client PC immediately, regardless of the status of the content.

  • If content on server is deleted from another client PC, the system will delete the same content on the current client PC immediately, except in cases where:

  • The content is currently in use

  • The content has been run since the last time the client was started

In the two exceptional cases, the content will be deleted after the next restart of the client PC.


Run Content

Content that has been uploaded to server can be run on any client.

To run content:

  1. Enter Admin Console.

  2. Right-click the desired content, and select Run from the pop-up menu.

  3. Click OK to confirm.

If the content has not been downloaded on the client before, the system will automatically Download Content and run it.

If the content has been previously downloaded, the system will run the content immediately.


Download Content

You can download content that has been uploaded to server by other clients.

To download content:

  1. Enter Admin Console.

  2. Select content, you can choose multiple contents. Right click your mouse, select Download or Get Updates in pop-up menu.

  3. Click OK to confirm.

tip

If the content has been downloaded and the client has not been restarted after that, in case the content on server has been changed during that, you must use Get Updates to get the latest version of the content.


Content Categories

  • All Content

All content, including Uploaded Content, To Be Uploaded Content, and To Be Updated Content.

  • Recommended

The recommended content set by the administrator.

  • Upload to Server

The created but not uploaded content on the client PC.

  • Update to Server

The updated but not uploaded content on the client PC

  • All Categories

The following content categories are set by the administrator:

Icon | Function | Description
 | New | Create new content category
 | Rename | Rename content category
 | Delete | Delete content category

After creating categories, the administrator can manage the content as follows:

  • Drag using the mouse

  1. Go to the Admin Console page

  2. Choose content

  3. Drag it to a category using your mouse

  • By editing content properties

  1. Go to the Admin Console page

  2. Choose content, right click your mouse, and choose Properties from the pop-up menu

  3. Highlight the target, choose a category or multiple categories in In Categories

  4. Click OK

note

After you have categorized the content, you will still need to Upload Updates to make the new settings effective.


Content Properties

You will enter Content Properties window when you Create Content, Update Content or view Content Properties.

Content Properties including:

  • Location

Choose root directory of installed content. For example: After installing XXX game, a folder D:\Games\XXX is created. This is the root directory. Only one root directory is allowed per content.

  • Click [image] to browse and change content location

  • Click Advanced to edit the file list

  • Package Size

It displays the size of the content file. This field is not editable.

  • Created

This field is not editable. It displays the date the content was created on the server. This field will be renewed after you have completed creation. You can see it by entering Content Properties.

  • Modified

This field is not editable. It displays the last time that the content was modified on the server. This field will be renewed after you have completed a modification to the content.

  • Target List

  • Click Add to add or remove executable files in the list.

To add/remove a target:

    1. Go to Content Properties> Target List.

    2. Click Add.

    3. System will pop up Please specify the executable file to be run at client side window, and the executable files will be listed automatically.

    4. Select/de-select one or more executable files from the window, click OK. You can select multiple files.

    5. The icons and names of the selected files will be displayed/removed in the "Executable files list" column.

  • Click Change Icon to change icon of the selected executable file.

To change icon for a target:

    1. Go to Content Properties> Target List.

    2. Click Change Icon.

    3. System will pop up icon list window.

    4. Select an icon, click OK.

  • Target

System will automatically display the path of chosen executable files. This field is not editable.

  • Start in

System will automatically display the directory of chosen executable files. This field is editable.

Most of the content (e.g. game) can run normally in the default directory. But some games may require special directory to run normally (e.g. a directory on the partition that Windows located), in this case, you need to edit this column to specify correct run directory.

You can click [image] to browse and change Start In directory.

  • Parameters

Enter parameters of the game. These parameters must be supported by the game. Different games support different parameters, and you may need to refer to the official information for each game.

For example, Game XXX supports the features below by adding runtime parameters

  • High Resolution Display

You can set the highest resolution for game XXX to 1024x768 on the UI, but it supports resolution 1600x1200 by running the parameter, e.g. it can run as "C:\...\XXX\XXX.exe" height=1200 width=1600. You can input the parameter height=1200 width=1600 in Runtime Parameter column of Content and Service Management content properties. After you have set this parameter, it will automatically run when the game is started and the game display will use 1600x1200 resolution.

  • Run in Window Mode

Game XXX will run as full screen mode by default, but it supports window mode by running the parameter, e.g. it can run as "C:\...\XXX\XXX.exe" fullscreen=false. You can input the parameter fullscreen=false in Runtime Parameter column of Content and Service Management content properties. After you have set this parameter, when user run the game, it will automatically run this parameter and run in window mode.

    • Skip the Animation in the Leader

Game XXX will play animation in the leader before the game starts, but it support skipping the animation by running the parameter, e.g. it can run as "C:\...\XXX\XXX.exe" nointro=true". You can input the parameter nointro=true in the Runtime Parameter column of Content and Service Management content properties. After you have set this parameter, whenever the user runs the game, it will automatically run this parameter and skip the animation in the leader.

You can configure multiple parameters by inputting them all separated by spaces in the Runtime Parameter column of Content and Service Management content properties. e.g. you can input height=1200width=1600 fullscreen=false nointro=true.

  • In Categories

Choose one or more categories for the content. This field is optional.

If no category is chosen, the content will not be shown in the Console page of client PC. Only the administrator will be able to view the content in the Admin Console. But if the administrator has chosen a category for the content, the user will be able to see the content in the Console page.

System has a default category named Recommended.

To set content to be displayed in the Recommended category:

In the column of In Categories, tick the checkbox of Recommended.

The content will be shown in the Recommended column of user Console.

  • Registry Info

Some games need special information written into the registry in order to run normally. If you have added registry info for the content, after the user has downloaded the game from server, the registry information will also be downloaded and written into client registry. This field is optional.

You can click Edit to open registry info editing window:

Icon | Function | Description
 | Import | Import registry file from designated path
 | Export | Export registry information to targeted path, and save the information as a registry file (.reg)
 | Edit | Edit the current registry information
 | Cut | Cut the registry information to clipboard
 | Copy | Copy the registry information
 | Paste | Paste the registry information from clipboard to the blank space of Registry Info.

  • Others

    • If Upload Immediately option is checked, the content will be uploaded to server immediately.

    • If Upload Immediately option is not checked, you need to Upload Content after the content is created or updated.


About User Mode

Content and Service Management supports three user modes:

User Mode | User Name | Password
Administrator | N/A | Initial password is set when Install Server
Operator | N/A | Initial password is set when Install Server
User | N/A | N/A

tip

To change password, you can do one of the following:

  • Log on Content and Service Management Client as administrator and go to Options > Security to reset Administrator Password or Operator Password.

  • Open Server Utility on the server, and reset passwords.


Change User Mode

Current Mode | Change to | How to
Administrator | User | Click Log Off button
User | Administrator | See Log on to Client


About Options

Icon

Function

Description

General

  • Network Configuration

  • Auto Disk Reclaim

  • Log Info

Security

  • Administrator Password

  • Operator Password

  • Anti Malware/Trojan

Theme

  • Popular Content List

  • Advertisement URL Setting

Advanced

  • Server Data Storage Folder

  • Online Client Info

Click the OK button on the bottom of the page, and you can apply all the new settings you made in the "General ", "Security", "Theme", and "Advanced" pages.

On the bottom of page, click Cancel button to cancel all the new settings you have made but not applied in "General ", "Security", "Theme" , and "Advanced" pages.

TIP

The properties setting is applicable to all connected client PCs (exception: General > Network Configuration ). New options will be effective after each client is rebooted.


About General Options


Network Configuration

Configure server information

  • Server Name

Change server name. The initial server name is blank. Use if you want clients to connect to a server by using the server name, not the server IP address. You can the enter server name in this column, and you will also need to configure the corresponding Initial Port.

  • Server IP

Change server IP address. Initial server IP address is set during client installation.

  • Base Port

Change server base port. Content and Service Management will take up three sequential server ports, starting from this base port. The base port is set by the system automatically after installing the client. By default, the port starts from 54321.

You can click Detect to check whether the new setting is correct.

note

Information of Network Configuration is only applicable to the current client PC. For other client PCs, administrator needs to configure one by one.

Caution

If you only have one Content and Service Management Server and you want to change the server IP address, you need to follow these steps strictly:

If you also have Intel(R) PAT installed on the same server

  1. On the golden machine, open Content and Service Management Client, log on as administrator and go to Options > General > Network Configuration

  2. On the golden machine, set the Server IP Address to the planned new server IP address and port

  3. On the server, open the Intel(R) Platform Administration Technology Server Console, create a new package and deploy to all other clients.

  4. On the server, change the server IP address and port to the planned one.

  5. After the clients have restarted, they can connect to the server using the new IP address and port.

If you do not have Intel(R) PAT installed on the same server

  1. On the client, open the Content and Service Management Client, log on as an administrator and go to Options > General > Network Configuration.

  2. On the client, set the Server IP Address to the planned new server IP address and port.

  3. Repeat the above steps to configure all other clients.

  4. On the server, change the server IP address and port to the planned one.

  5. After the clients have restarted, they can connect to the server using the new IP address and port.


Client Auto Disk Reclaim

For the definition of Client Auto Disk Reclaim, see terminology.

By default, the Client Auto Disk Reclaim function is set to Disable. You can choose Enable and click OK to enable it and use this function.

After enabling Client Auto Disk Reclaim, on the Data volumes for downloaded games chosen during installing client:

  • All files and folders left by the last user (e.g. game running history, personal game data) will be cleaned up when the client machine is restarted.

  • When the disk space is less than the percentage specified in this column, the most unpopular games will be deleted automatically until there is enough free space.

You can change the setting by moving the cursor. The minimum setting is 0%, and the maximum setting is 20%.

note

The value set in this column is applicable to each of the partitions chosen during client installation, but not the total free space of all chosen partitions.

The value set is applicable to all client PCs.


Log Info

Set server logs and client logs.

  • Path

Display log saving path. This path is automatically designated by the system. This option is not editable.

  • Size

Set log file size. When the log file size exceeds the set value, the system will delete part of old logs.

  • Type

Choose the log type. There are four log types available:

  • No log: No log files

  • Simple: List error information

  • Detailed: List error, warning information

  • Verbose: List error, warning, debug and other information

tip

We suggest you to set log type as No log or Simple for improving server and client PC performance . Under certain cases, you can set it as Detailed or Verbose for troubleshooting purposes.


About Security Options


Administrator Password

To modify administrators password:

  1. Go to Options > Security > Administrator Password.

  2. Type current password.

  3. Type new password.

  4. Type new password again.

  5. Click OK.

The password length should be 6 to15 characters. Only numbers, symbols and English letters are allowed. Password is case sensitive.


Operator Password

To modify service console operator password:

  1. Go to Options > Security > Operator Password.

  2. Type present password.

  3. Type new password.

  4. Type new password again.

  5. Click OK.

The password length should be 6 to15 characters. Only numbers, symbols and English letters are allowed. Password is case sensitive.


Anti Malware/Trojan

Content and Service Management also provides anti-malware/trojan protection that will prevent designated malware from being executed on client machines.

To view malware/trojan list:

You can click Name or Type to change the order.

  • Order by Name: System will automatically list the malware/trojan from A-Z according to its name

  • Order by Type: System will automatically list the malware/trojan by it's type

To select malware/trojan from the list:

You can select a malware/trojan in the following ways:

  • Clicking on the name of the maleware/trojan with the mouse

  • Pressing Up and Down key on keyboard to highlight the maleware/trojan

To add/modify malware/trojan to the list:

  1. Click Option > Security > Anti-Malware/Trojan.

  2. Add or modify the malware/trojan name in a complete format in the Name column, including suffix (e.g. trojan_1.exe)

note

The supported name length is same as the name length in Applications and Processes tab of Windows Task Manager.

Supports all characters except * and ? .

Names are case-sensitive.

Each name can only be used once.

  3. Select the type of the malware/trojan in the Type column. Types include:

    • Windows Caption: The malware/trojan name is an active application name.

    • Process name: The malware/trojan name is an active process name.

  4. Press Enter to confirm, or click other blank spaces in the window.

After you have added or modified the new malware/trojan, the current client machine will start to search for and disable the new malware/trojan immediately. Other clients must be restarted in order to allow the change to take effect.

note

Only applications and processes with the exact same name (including suffix) as the listed maleware/trojan will be detected and killed.

You can add a maximum of 256 malware/trojan names to the list.

To delete malware/trojan from the list:

  1. Enter Option > Security > Anti-Malware/Trojan.

  2. Select a malware/trojan, press Delete on keyboard.

tip

You can press CTRL or SHIFT key to select multiple items to delete.


About Theme Options


Popular Content List

Set the number of listings in the Most Popular content list. You can set the number from 5 to 30.

For the definition of Most Popular, see Terminology.

To set number of Popular Content List:

  1. Open Options > Theme > Popular Content List.

  2. Choose the number of listings to be displayed.

  3. Click OK.

The new setting will only take effect on clients after they are restarted.


Advertisement

Set the URL of the advertisement banner to be displayed in the advertisement bar of Admin Console and User Console.

The size of the advertisement bar is 468x60 pixels, and it will support any image, animation, of web page that can be displayed correctly in Internet Explorer.

The system will use the Content and Service Management advertisement if no other advertisement is set.

To re-configure the advertisement:

  1. Enter the new advertisement URL in Advertisement column. The URL can be any of the following:

    • The local directory of the advertisement

e.g. C:\My Documents\My Pictures\AD1.jpg

    • The shared directory in LAN

e.g. \\192.168.1.1\Shared Documents\AD1.jpg

    • The internet URL

e.g. www.intel.com

  2. After you have entered the new URL, you can:

    • Click Preview to preview the advertisement

    • Click Default to use the Content and Service Management advertisement.

  3. Click OK.

After you have configured the new URL, the current client will display the new advertisement immediately. The other clients in the network will display this new advertisement after their next restart.


About Advanced Options


Server Side Storage Folders

Displays server-side data storage folder. This folder is set during Server Installation. If there are a few data storage folders on the server, the system will save files randomly based on the free space available in these folders.


Online Client Information

Displays the following information on client PCs that are using Content and Service Management:

  • IP Address and Port

IP address and port of client PC

  • Client Type

Client type, which is also called User Mode, including Administrator, Operator and User

  • Login Time

The time elapsed since the client PC established connection with the server.


Log Off

Clicking the Log Off tab will exit Administrator mode.

You will go back to User mode.


Help

Clicking the Help tab will open the Content and Service Management online help.


About

Clicking the About tab will display Content and Service Management system information, including:

  • Product version information

  • Product description

  • Product copyright information


FAQ

Why is my network connection failing?

There could be a few causes:

  • Cable is not connected correctly. Please check cable connectivity.

  • The Content and Service Management Server or Client service is not started. You can check this using one of the following methods:

    1. On server, go to Start > Control Panel > Administrative Tool > Service > Intel(R) PAT Content and Service Management Server, make sure it is started.

    2. On client, go to Start > Control Panel > Administrative Tool > Service > Intel(R) PAT Content and Service Management Client, make sure it is started.

Why did my administrator login fail?

There could be a few causes:

  • Network connection failure

See the above question for solutions.

  • Firewall Setting

Content and Service Management does not work behind a firewall. Please make sure there is no firewall enabled between the server and client.

  • Wrong Password

Make sure you have entered the correct administrator password.

As an administrator in the Options page, which options are applicable to all clients in the network, and which options only apply to the local client?

Only Network Configuration is applicable to the local client. All other option settings are applicable to all clients in the network.

If my Network Configuration settings are wrong, what should I do?

If the Network Configuration settings are wrong, the client will not be able to connect to the server and you will not be able to log on as an administrator to modify the options. You must re-install Content and Service Management Client.

Please check carefully while doing network configuration, and use the Detect button to confirm the connectivity. Click OK only when the connectivity is confirmed.

I have created or updated content, but it failed to upload to the server when the client PC restarted. Why?

If you have enabled the Auto Disk Reclaim function, after the client PC is restarted, the content you have created or updated but not uploaded will be cleared automatically which will cause upload failure.

After enabling the Auto Disk Reclaim function, please make sure that you upload contents before restarting the client PC.

I have created or updated content, but I cannot see the latest content after logging onto Content and Service Management Client as a normal user. Why?

Those contents that have been created or updated locally but not uploaded will only appear in the To Be Uploaded page after you have logged on as an administrator. You will not be able to see these un-uploaded contents on other client PCs. Also, you will not see these un-uploaded contents in the Console page if you log onto the same client PC as a normal user.

I just uploaded new content. When will it appear on other client PCs?

After you have completed the upload, it will appear immediately on other client PCs.

Why can't I update some content?

Only when the content on the local machine is the same version as the content on the server can you update the content.

If you cannot update the content, please download the latest version from the server.

I have downloaded the latest version of the content, but I still cannot update it. Why?

This does not happen often. The cause is that when you were downloading the content, you didn't actually get the latest version.

After Content and Service Management Client is started, the client will only request the latest version of the content from the server once. If you cannot update the content, that's because you have downloaded the content after client was started, but later the same content was updated on another client. Even if you run it again, you will not really get the latest version.

You need to restart the client PC, re-download the content and then update it again.

Can I update the content at any time? Will it impact other users that are running the game?

You can update and upload content at any time. You operation won't impact content being downloaded or run by users.

I have uploaded the updated version of the content. When can the user use it?

After you have updated and uploaded content, users can use the latest version immediately.

In some cases, the user may not use the latest version immediately. That's because after Content and Service Management Client is started, the client will only request updated versions of content once from server. If this content was run by the user after client is started, it won't detect the newly updated version. Restarting the client will allow the client to detect the latest version of the content.

If you cannot find answers in FAQ, please visit Content and Service Management support web site:

http://support.intel.com/support/go/ipat

.


Content and Service Management Adminstrator Online Help

Content and Service Management

Administrator Online Help

Document Number: 314662-007US

Product Version: 1.2

Start Here

http://support.intel.com/support/go/ipat

Disclaimer and Legal Information